<?php
require_once(SYSTEM_LOGICS . 'admin_function/logic.php');

class ControlAdminFunction extends LogicAdminFunction {
	/*-------------------------------------------------------------------------
	* @ メンバ変数
	-------------------------------------------------------------------------*/

	/*-------------------------------------------------------------------------
	* @function_name: ロジックのコンストラクタ
	* @parameter	: なし
	* @return		: なし
	-------------------------------------------------------------------------*/
	function __construct() {
		parent::__construct();
	}

	/*-------------------------------------------------------------------------
	* @function_name: コントロールパネルシステム動画データ編集ロジック（各クラス共通）
	* @parameter	: なし
	* @return		: なし
	-------------------------------------------------------------------------*/
	function action() {
		try {
		    $this -> checkAvailability("system", function(){
		        require_once($this -> getSystemHTML('TEMPLATE_MAINTENANCE_MODE_SYSTEM_PATH'));
		        exit();
		    });
		    
			// アクション実行
			$this -> logic();
			if($this -> getType() == TYPE_REGITS) {				// 新規登録
				require_once($this -> getSystemHTML('TEMPLATE_FUNCTION_INPUT_PATH', $this -> dispHTML()));
			} else if($this -> getType() == TYPE_DETAIL) {		// 詳細
				require_once($this -> getSystemHTML('TEMPLATE_FUNCTION_DETAIL_PATH', $this -> dispHTML()));
			} else if($this -> getType() == TYPE_EDIT) {		// プレビュー
				require_once($this -> getSystemHTML('TEMPLATE_FUNCTION_EDIT_PATH', $this -> dispHTML()));
			} else {											// 画面の表示（一覧）
				require_once($this -> getSystemHTML('TEMPLATE_FUNCTION_LIST_PATH', $this -> dispHTML()));
			}

		} catch (Exception $e) {
			header('Location: /');
		}
	}
}
?>
